Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jprocessunit.addon.jpd
Class DeleteTaskEvent

    java.lang.Object
      org.jprocessunit.ActionEvent
          org.jprocessunit.addon.jpd.DeleteTaskEvent

All Implemented Interfaces:
  ProcessEvent

    public class DeleteTaskEvent

extends ActionEvent

JProcessUnit ActionEvent class used to delete a WLI task.

Author:
  Reza Shafii

Constructor Summary
`DeleteTaskEvent(TargetTaskInfo taskEventInfo)` The wait event is satisfied as soon as a single task matches the task query.
`DeleteTaskEvent(com.bea.wli.worklist.api.TaskSelector taskSelector)` Deprecated. Please use DeleteTaskEvent(TaskQuery)

Method Summary
`void` | `performAction()` This method ensures that the first task matched by this instance's task query is deleted.
`void` | `setTaskQuery(com.bea.wli.worklist.api.TaskQuery taskQuery)` The wait event is satisfied as soon as a single task matches the query.
`void` | `setTaskSelector(com.bea.wli.worklist.api.TaskSelector taskSelector)` Deprecated. Please use setTaskQuery(TaskQuery)

Methods inherited from class org.jprocessunit.ActionEvent
`assertEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteTaskEvent

    public DeleteTaskEvent(com.bea.wli.worklist.api.TaskSelector taskSelector)

  Deprecated. Please use DeleteTaskEvent(TaskQuery)

  The wait event is satisfied as soon as a single task matches the selector. This constructor uses the 8.1 task plan by default.

  Parameters:
    `taskSelector` - task selector identifying a single target task

### DeleteTaskEvent

    public DeleteTaskEvent(TargetTaskInfo taskEventInfo)

  The wait event is satisfied as soon as a single task matches the task query.

  Parameters:
    `taskEventInfo` - info identifying the target task for this event

Method Detail

### setTaskSelector

    public void setTaskSelector(com.bea.wli.worklist.api.TaskSelector taskSelector)

  Deprecated. Please use setTaskQuery(TaskQuery)

  The wait event is satisfied as soon as a single task matches the selector.

  Parameters:
    `taskSelector` - task selector identifying a single target task

### setTaskQuery

    public void setTaskQuery(com.bea.wli.worklist.api.TaskQuery taskQuery)

  The wait event is satisfied as soon as a single task matches the query.

  Parameters:
    `taskQuery` -

### performAction

    public void performAction()

  This method ensures that the first task matched by this instance's task query is deleted.

  Specified by:
    `performAction` in class `ActionEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JProcessUnit API